<?php
session_start();
ob_start(); // Pour éviter les erreurs de header si du contenu est déjà envoyé

// Génération du code captcha (5 caractères lisibles)
$code = substr(str_shuffle("ABCDEFGHJKLMNPQRSTUVWXYZ23456789"), 0, 5);
$_SESSION["captcha"] = $code;

// En-tête de type image PNG
header('Content-type: image/png');

// Dimensions de l'image
$width = 180;
$height = 60;
$image = imagecreatetruecolor($width, $height);

// Activation de l'antialiasing si disponible
if (function_exists('imageantialias')) {
    imageantialias($image, true);
}

// Couleurs
$bgColor = imagecolorallocate($image, 240, 240, 240); // Gris clair
$textColor = imagecolorallocate($image, 30, 30, 30);  // Presque noir
$lineColor = imagecolorallocate($image, 180, 180, 180); // Gris moyen

// Remplissage du fond
imagefilledrectangle($image, 0, 0, $width, $height, $bgColor);

// Ajout de lignes aléatoires (bruit)
for ($i = 0; $i < 10; $i++) {
    imageline($image, rand(0, $width), rand(0, $height),
              rand(0, $width), rand(0, $height), $lineColor);
}

// Ajout de bruit en pixels
for ($i = 0; $i < 1000; $i++) {
    imagesetpixel($image, rand(0, $width), rand(0, $height), $lineColor);
}

// Affichage du texte
$fontPath = __DIR__ . '/arial.ttf'; // Assure-toi que ce fichier existe
if (file_exists($fontPath)) {
    // Texte avec rotation légère
    imagettftext($image, 24, rand(-10, 10), 40, 45, $textColor, $fontPath, $code);
} else {
    // Fallback si la police n’est pas trouvée
    imagestring($image, 5, 60, 20, $code, $textColor);
}

// Envoi de l'image
imagepng($image);
imagedestroy($image);
ob_end_flush();
?>
