<?php session_start(); ?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Formulaire avec Captcha PHP</title>

    <!-- Style Css -->
    <link rel="stylesheet" href="https://xeocoder.com/demos/captcha/css/style.css">
    <script>
        function refreshCaptcha() {
            const img = document.getElementById("captchaImage");
            img.src = "captcha.php?rand=" + Math.random();
        }
    </script>
    <!-- Style Css -->
</head>
<body>
    <div class="form-container">
    <?php
    // Vérification de la soumission du formulaire
    if (isset($_POST['captcha_user'])) {
        // Nettoyage des entrées pour éviter les attaques XSS
        $captcha_user = htmlspecialchars($_POST['captcha_user'], ENT_QUOTES, 'UTF-8');

        // Comparaison du captcha soumis avec celui de la session
        if ($captcha_user === $_SESSION['captcha']) {
            echo "<div class='alert alert-success'>Captcha valide. Formulaire accepté.</div>";
        } else {
            echo "<div class='alert alert-danger'>Captcha incorrect. Veuillez réessayer.</div>";
        }
    } else {
        echo "<div class='alert alert-warning'>Aucune donnée reçue. Veuillez soumettre le formulaire.</div>";
    }
    ?>
        <form action="index.php" method="post">
            <label for="captcha_user">Entrez le code affiché :</label>
            <img id="captchaImage" class="captcha-img" title="Cliquez sur l'image pour réinitialiser le captcha" src="captcha.php?rand=<?php echo rand(); ?>" alt="Captcha" onclick="refreshCaptcha()">
            <div class="form-group">
                <input type="text" name="captcha_user" placeholder="Code..." required>
                <input type="submit" value="Valider">
            </div>
        </form>
        <br>
        <a href="https://xeocoder.com" target="_blank">Propulsé par xeocoder.com</a>
    </div>
</body>
</html>